Subject: Re: [Sigtran] Question related with DAUD Message

From: "Ankit Kumar Sharma" <[email-masked]>
Date: Thu, 1 Feb 2007 09:43:08 +0000

On 1/31/07, Barry Nagelberg <[email-masked]> wrote:
>
> Oscar,
>
> There is nothing in the RFC which states that "there is no limit to the
> number of point codes in the DAUD (or DUNA or
> DAVA)".

Max limit could be calculated from the  max value of 'length'  parameter

This is an interoperability bug in the RFC, because obviously there must be
> some limit - an SGP could run out of
> resources if the ASP sends it a DAUD msg with a billion point codes. A
> limit of 1024 sounds reasonable to me.

Not billion...we could send maximum 16382 point codes in a DAUD

The main point facing us now is that the size of the limit is an
> implementation decision for each vendor. I suggest that
> the RFC be updated to state explicity what the limit is - otherwise this
> will continue to cause interoperability
> problems.

I agree with you...

Barry Nagelberg
>
> -----Original Message-----
> From: Colmenares, Oscar (Oscar) [mailto:[email-masked]]
> Sent: Wednesday, January 31, 2007 12:23 PM
> To: Ankit Kumar Sharma; Colmenares, Oscar (Oscar)
> Cc: Andrew Booth; [email-masked]
> Subject: RE: [Sigtran] Question related with DAUD Message
>
>
>
> Ankit
>
>     This part sound better for me, do you have the RFC that mentioned that
> there is not limit on the number of point
> codes in DAUD message, I will need this in order to talk with our SG
> provider??
>
>     Also can I share your email with people from my company and the
> customer???? Or this could be a problem for you?
>
> Regards
>
> Oscar
> -----Original Message-----
> From: Ankit Kumar Sharma [mailto:[email-masked]]
> Sent: Miércoles, 31 de Enero de 2007 01:15 p.m.
> To: Colmenares, Oscar (Oscar)
> Cc: Andrew Booth; [email-masked]
> Subject: Re: [Sigtran] Question related with DAUD Message
>
>
> I have also faced this problem in past. Some stack vendors limit it on no.
> of point codes in DAUD message and some on
> the length of DAUD message(DAUD message greater than xx limit would get
> discarded).
> If I am not wrong then as per RFC, there isn't any limit on number of
> Point codes in DAUD. If any vendor is not
> following this then its a bug in their stack.
> I think there should be some upper limit set on number of Point codes in
> DAUD for better interworking.
>
> cheers,
> Ankit
>
>
> On 1/31/07, Colmenares, Oscar (Oscar) <[email-masked]>
> wrote:
>
> Andrew
>
>         My concern here is that is multiple ASP and SG providers are
> having
> their own interpretation to the standard and we can have inter-operability
> problems in the future.
>
>         So far we as an ASP we are trying to implement multiple point
> codes
> in the same DAUD message and we can support up to 1024 point codes but the
> SG interpretation was to set a limit in the numbers of point codes per
> DAUD
> message up to 16, so we are facing some developments problems due
> different
> interpretations.
>
>         I think it will be a good idea to have a recommendation from the
> Sigtran expert as how this should work in order to align all the ASP and
> SG
> and define a way to use this kind of message.
>
>         So my answer here will be, this help but not enough due there is
> no
> way to decide who is right or wrong performing this setting in the
> message.
>
>         Please if you or your team have recomendations in how to set this
> (something official) please let us know, because this is very important
> for
> us.
>
> Regards
>
> Oscar
>
> -----Original Message-----
> From: Andrew Booth [mailto:[email-masked] ]
> Sent: Miércoles, 31 de Enero de 2007 12:18 p.m.
> To: Colmenares, Oscar (Oscar)
> Cc: [email-masked]
> Subject: Re: [Sigtran] Question related with DAUD Message
>
>
> I think the ASP can send DAUD in any way it sees fit, according to the
> RFC.
>
> The following comments are my own and are not specified in the RFC.
>
> I think assuming that state is always synchronized is a dangerous
> assumption.  For instance, what if the SG is in overload and discards a
> DAVA?  What if there's a bug on one end or the other?  What if the ASP
> is connected to two SGPs and receives DUNA + DAVA from SGP1 and DUNA +
> association loss from SGP2, in that order?
> The main risk would probably be a missing DAVA, since a missing DUNA
> would get discovered by a response DUNA if traffic is sent to the
> destination.
>
> >From an operational standpoint I'd be careful sending DAUD with a big
> wildcard, since it's difficult to estimate how many responses you might
> get and how fast, so it's hard to avoid potential overloads.  Also, you
> won't necessarily know when you have all the responses (if you care).
>
> Other than that, it's more bandwidth efficient to send multiple affected
> PCs in one message, but that's only a concern if you're running over
> bandwidth constrained networks or auditing many PCs.  So, take your pick.
>
> Does that help?
> Andrew
>
> Colmenares, Oscar (Oscar) wrote:
> > Sigtran Experts
> >
> >       I was looking for some help related with how to set the DAUD
> > message, I was reading some message from HS Jang related when the ASP
> need
> > to use the DAUD message, explain as follow
> >
> > Let me summarize about DAUD in SUA ASP with your postings and my
> > understanding. first of all,
> >  1) ASP does not need to send DAUD in normal situation. because SCCP in
> SG
> > cares it with its mechanism and inform the ASP of the changes in DPC/SSN
> > with SSNM message. i.e. the state information about destinations are
> > synchronized all the time.
> >  2) the only time ASP needs to send DAUD is when the ASP is recovered
> from
> > isolation because ASP has no state information about destinations now. (
> but
> > this is also not necessary for normal operation of data transfer. it is
> only
> > necessary when ASP really wants to know the state information of
> > destinations for example, in the respect of OAM or something )
> > 3) there are mentions about sending DAUD periodically in RFC but it is
> > somewhat wrong.
> >
> >       Now base on these explanation and related with point 2, send DAUD
> > message when the ASP is recovered from isolation, my question is there
> is
> > any rules in other to how to send these point codes?? do we have or must
> > send multiple messages with one point code information per message, or
> send
> > just one message with all the point codes information???
> >
> >       The main idea here is understand if I have a system with multiple
> > point codes, for example 25 point codes, how the standard said we need
> to
> > send the DAUD message, just one message with all the point codes inside
> or
> > 25 single messages with just one point code per message.
> >
> > I really appreciate your help on this question
> >
> > Best regards
> >
> > Oscar
>
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
>
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 1 Feb 2007 04:51:34 -0700

Ankit,

Ankit Kumar Sharma wrote:                                                            (Thu, 01 Feb 2007 09:43:08)
> 
>    On 1/31/07, Barry Nagelberg <[1][email-masked]> wrote:
> 
>      Oscar,
>      There is nothing in the RFC which states that "there is no limit to
>      the number of point codes in the DAUD (or DUNA or
>      DAVA)".
> 
>      This is an interoperability bug in the RFC, because obviously there
>      must be some limit - an SGP could run out of
>      resources  if  the  ASP  sends  it  a DAUD msg with a billion point
>      codes. A limit of 1024 sounds reasonable to me.
> 
>      the RFC be updated to state explicity what the limit is - otherwise
>      this will continue to cause interoperability
>      problems.
> 
>    I agree with you...
> 

And so, to conform nicely to your limit, the ASP sends 1 billion DAUDs with
1 point code in each...  (Perhaps each with an all-ones mask.)  How can
your limit help this poorly designed SG?

An SG design that cannot handle an ASP with the "Babbling Idiot" syndrome
will always be vulnerable in such situations.  A more robust design would
not allow an ASP to usurp resources critical to other tasks.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Ankit Kumar Sharma" <[email-masked]>
Date: Thu, 1 Feb 2007 13:59:19 +0000

Brian,
On 2/1/07, Brian F. G. Bidulock <[email-masked]> wrote:
> Ankit Kumar Sharma
> wrote:                                                            (Thu, 01
> Feb 2007 09:43:08)
> >    Max  limit  could  be  calculated  from  the   max  value  of
> 'length'
> >    parameter
> >

Blacklist the vendor who fails in above scenario....;-)...but here, if I am
not wrong, we are discussing about resource exhaution of SG when it has
recieved a big DAUD message with thousands of Point codes in it.
Most of the vendors limit the maxmimum buffer length in which they receive
lower layer indication. On the basis of buffer length they advertise in
their release that we support only xxx point codes in a DAUD.
 Although a well designed SG should be able to handle this situation but
still I think, there should be some 'sensible' upper limit on the number of
point codes in such messages.

cheers,
Ankit